function T = dynamic_resid_tt(T, y, x, params, steady_state, it_)
% function T = dynamic_resid_tt(T, y, x, params, steady_state, it_)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T             [#temp variables by 1]     double  vector of temporary terms to be filled by function
%   y             [#dynamic variables by 1]  double  vector of endogenous variables in the order stored
%                                                    in M_.lead_lag_incidence; see the Manual
%   x             [nperiods by M_.exo_nbr]   double  matrix of exogenous variables (in declaration order)
%                                                    for all simulation periods
%   steady_state  [M_.endo_nbr by 1]         double  vector of steady state values
%   params        [M_.param_nbr by 1]        double  vector of parameter values in declaration order
%   it_           scalar                     double  time period for exogenous variables for which
%                                                    to evaluate the model
%
% Output:
%   T           [#temp variables by 1]       double  vector of temporary terms
%

assert(length(T) >= 21);

T(1) = (1-params(15))/y(57);
T(2) = (1-params(15))/y(95);
T(3) = y(39)^(-1);
T(4) = (1-params(15))/y(58);
T(5) = (1-params(15))/y(96);
T(6) = (y(30)/params(8))^params(8);
T(7) = (y(34)/(1-params(8)))^(1-params(8));
T(8) = y(31)^params(8);
T(9) = y(35)^(1-params(8));
T(10) = params(4)*params(9)*y(92)^params(6);
T(11) = params(4)*params(9)*y(92)^(params(6)-1);
T(12) = 1-params(9)*y(41)^(params(6)-1);
T(13) = params(9)*y(41)^params(6);
T(14) = 1/params(4)*y(41)^params(10);
T(15) = (y(37)/(steady_state(11)))^params(11);
T(16) = T(14)*T(15);
T(17) = T(16)^(1-params(17));
T(18) = y(3)^params(17);
T(19) = params(7)^(1-params(18));
T(20) = T(19)*(y(54)/(steady_state(28)))^((1-params(18))*(-params(12)));
T(21) = y(12)^params(18);

end
