clear all
close all

randn('seed',1234567)  
rand('seed' ,1234567)

load('Bayesian_TIRFs_centered_7Q_deficit_AG_3_3_56')

T = s_desc.T + s_desc.VARlags;
M_Z_t_i = zeros(T,draws);
for jj = 1:draws
    M_Z_t_i(:,jj) = exp(-Gamma(jj)/theta*(Z1-C(jj)))./(1+exp(-Gamma(jj)/theta*(Z1-C(jj))));
end

M_Z_t_mean_C7Q = prctile(M_Z_t_i,50,2);
M_Z_t_lower_C7Q = prctile(M_Z_t_i,16,2);
M_Z_t_upper_C7Q = prctile(M_Z_t_i,84,2);

xx = [s_desc.sample1, fliplr(s_desc.sample1)]; 
yy = [M_Z_t_upper_C7Q' fliplr(M_Z_t_lower_C7Q')]';

load('Bayesian_TIRFs_backward_4Q_deficit_AG_3_3_56')

T = s_desc.T + s_desc.VARlags;
M_Z_t_i = zeros(T,draws);
for jj = 1:draws
    M_Z_t_i(:,jj) = exp(-Gamma(jj)/theta*(Z1-C(jj)))./(1+exp(-Gamma(jj)/theta*(Z1-C(jj))));
end

M_Z_t_mean_B4Q = prctile(M_Z_t_i,50,2);

matT=[17 37 57 77 97 117 137 157 177 197 217 237];
matTx={'1950';'1955';'1960';'1965';'1970';'1975';'1980';'1985';'1990';'1995';'2000';'2005'};

fig=figure('Name','Recession Probability')
area(s_desc.sample1,NBER_dates(s_desc.sample1,5),'FaceColor',[0.75 0.75 0.75],'EdgeColor','none')
hold on;
filler1=fill(xx,yy,[0.5843    0.8157    0.9882],'edgecolor','none');
c7 = plot(s_desc.sample1,M_Z_t_mean_C7Q,'b','Linewidth',3);
b4 = plot(s_desc.sample1,M_Z_t_mean_B4Q,'k-.','Linewidth',3);
alpha(0.75)
xlim([[s_desc.startS s_desc.endS]])
legend([b4 c7], 'Backward 4Q','Centered 7Q','Location','northeast')
legend('boxoff')
set(gca,'XTick',matT)
set(gca,'XTickLabel',matTx,'fontsize',16)
set(gcf,'color','w')