clc;
clear;

load('Bayesian_GIRFs_SR_backward_4Q_AG')

F_B4Q_R = Fz2_R_density_mean;
F_B4Q_E = Fz2_E_density_mean;

load('Bayesian_GIRFs_SR_backward_5Q_AG')

F_B5_R = Fz2_R_density_mean;
F_B5_E = Fz2_E_density_mean;

load('Bayesian_GIRFs_SR_backward_6Q_AG')

F_B6_R = Fz2_R_density_mean;
F_B6_E = Fz2_E_density_mean;

load('Bayesian_GIRFs_SR_backward_7Q_AG')

F_B7_R = Fz2_R_density_mean;
F_B7_E = Fz2_E_density_mean;

load('Bayesian_GIRFs_SR_centered_5Q_AG')

F_C5_R = Fz2_R_density_mean;
F_C5_E = Fz2_E_density_mean;

load('Bayesian_GIRFs_SR_centered_7Q_AG')

F_C7_R = Fz2_R_density_mean;
F_C7_E = Fz2_E_density_mean;

load('Bayesian_GIRFs_SR_centered_9Q_AG')

F_C9_R = Fz2_R_density_mean;
F_C9_E = Fz2_E_density_mean;

load('Bayesian_GIRFs_SR_centered_11Q_AG')

F_C11_R = Fz2_R_density_mean;
F_C11_E = Fz2_E_density_mean;


subplot(1,2,1)
B4 = plot(0:h,squeeze(prctile(F_B4Q_R(1:h+1,:),50,2)),'b','Linewidth',2);
hold on 
B5 = plot(0:h,squeeze(prctile(F_B5_R(1:h+1,:),50,2)),'b--','Linewidth',2);
B6 = plot(0:h,squeeze(prctile(F_B6_R(1:h+1,:),50,2)),'b:','Linewidth',2);
B7 = plot(0:h,squeeze(prctile(F_B7_R(1:h+1,:),50,2)),'b-.','Linewidth',2);
C5 = plot(0:h,squeeze(prctile(F_C5_R(1:h+1,:),50,2)),'b-*','Linewidth',2);
C7 = plot(0:h,squeeze(prctile(F_C7_R(1:h+1,:),50,2)),'b-o','Linewidth',2);
C9 = plot(0:h,squeeze(prctile(F_C9_R(1:h+1,:),50,2)),'b-+','Linewidth',2);
C11 = plot(0:h,squeeze(prctile(F_C11_R(1:h+1,:),50,2)),'b-x','Linewidth',2);
%plot(0:h,squeeze(prctile(F_B4Q_R(1:h+1,:),[16 84],2)),'b','Linewidth',2);
%plot(0:h,squeeze(prctile(F_B5_R(1:h+1,:),[16 84],2)),'b--','Linewidth',2);
%plot(0:h,squeeze(prctile(F_B6_R(1:h+1,:),[16 84],2)),'b:','Linewidth',2);
%plot(0:h,squeeze(prctile(F_B7_R(1:h+1,:),[16 84],2)),'b-.','Linewidth',2);
%plot(0:h,squeeze(prctile(F_C5_R(1:h+1,:),[16 84],2)),'b-*','Linewidth',2);
%plot(0:h,squeeze(prctile(F_C7_R(1:h+1,:),[16 84],2)),'b-o','Linewidth',2);
%plot(0:h,squeeze(prctile(F_C9_R(1:h+1,:),[16 84],2)),'b-+','Linewidth',2);
%plot(0:h,squeeze(prctile(F_C11_R(1:h+1,:),[16 84],2)),'b-x','Linewidth',2);
xlim([0 h])
ylim([0 1])
title('F(z) after a Government Spending Shock in Recession')
legend([B4 B5 B6 B7 C5 C7 C9 C11], 'Backward 4Q','Backward 5Q','Backward 6Q', 'Backward 7Q',...
    'Centered 5Q','Centered 7Q','Centered 9Q','Centered 11Q','Location','southeast')
legend('boxoff')
set(gca,'fontsize',16)
subplot(1,2,2)
B4 = plot(0:h,squeeze(prctile(F_B4Q_E(1:h+1,:),50,2)),'r','Linewidth',2);
hold on 
B5 = plot(0:h,squeeze(prctile(F_B5_E(1:h+1,:),50,2)),'r--','Linewidth',2);
B6 = plot(0:h,squeeze(prctile(F_B6_E(1:h+1,:),50,2)),'r:','Linewidth',2);
B7 = plot(0:h,squeeze(prctile(F_B7_E(1:h+1,:),50,2)),'r-.','Linewidth',2);
C5 = plot(0:h,squeeze(prctile(F_C5_E(1:h+1,:),50,2)),'r-*','Linewidth',2);
C7 = plot(0:h,squeeze(prctile(F_C7_E(1:h+1,:),50,2)),'r-o','Linewidth',2);
C9 = plot(0:h,squeeze(prctile(F_C9_E(1:h+1,:),50,2)),'r-+','Linewidth',2);
C11 = plot(0:h,squeeze(prctile(F_C11_E(1:h+1,:),50,2)),'r-x','Linewidth',2);
%plot(0:h,squeeze(prctile(F_B4Q_R(1:h+1,:),[16 84],2)),'r','Linewidth',2);
%plot(0:h,squeeze(prctile(F_B5_R(1:h+1,:),[16 84],2)),'r--','Linewidth',2);
%plot(0:h,squeeze(prctile(F_B6_R(1:h+1,:),[16 84],2)),'r:','Linewidth',2);
%plot(0:h,squeeze(prctile(F_B7_R(1:h+1,:),[16 84],2)),'r-.','Linewidth',2);
%plot(0:h,squeeze(prctile(F_C5_R(1:h+1,:),[16 84],2)),'r-*','Linewidth',2);
%plot(0:h,squeeze(prctile(F_C7_R(1:h+1,:),[16 84],2)),'r-o','Linewidth',2);
%plot(0:h,squeeze(prctile(F_C9_R(1:h+1,:),[16 84],2)),'r-+','Linewidth',2);
%plot(0:h,squeeze(prctile(F_C11_R(1:h+1,:),[16 84],2)),'r-x','Linewidth',2);
title('F(z) after a Government Spending Shock in Expansion')
xlim([0 h])
ylim([0 1])
legend([B4 B5 B6 B7 C5 C7 C9 C11], 'Backward 4Q','Backward 5Q','Backward 6Q', 'Backward 7Q',...
    'Centered 5Q','Centered 7Q','Centered 9Q','Centered 11Q','Location','northeast')
legend('boxoff')
set(gca,'fontsize',16)
set(gcf,'color','w')

