%% This file produces the results in Table 1

close all;
clear all;

%% original AG exercise 

load('code_fullsample_3_3.mat')

Omega0Ex1=zeros(size(Omega0E));
Omega1Ex1=zeros(size(Omega0E));

for ii=1:length(Amat(s_MCMC.dropfirstT:end-1,:))
    [Omega0Ex,Omega1Ex,thetaEx]=vec2matScov(Amat(s_MCMC.dropfirstT+ii-1,:)',s_desc.Omega_length_cov);
    Omega0Ex1=Omega0Ex1+Omega0Ex;
    Omega1Ex1=Omega1Ex1+Omega1Ex;
end

Omega1E=Omega1Ex1/length(Amat(s_MCMC.dropfirstT:end-1,:));
Omega0E=Omega0Ex1/length(Amat(s_MCMC.dropfirstT:end-1,:));

s_desc.Gpos=1;         % position of government spending (defense) in the vector of variables in the VAR
[irf_DimpREC,irf_CImeanREC,CIupREC,CIlowREC,IRFseREC]=irf_VAR_MCMC_struct_alt(beta1E,Omega1E,Omega1mat,beta1matF,s_desc);
[irf_DimpEXP,irf_CImeanEXP,CIupEXP,CIlowEXP,IRFseEXP]=irf_VAR_MCMC_struct_alt(beta0E,Omega0E,Omega0mat,beta0matF,s_desc);

% compute cumulative responses
[irf_DimpREC_cum,irf_CImeanREC_cum,CIupREC_cum,CIlowREC_cum,IRFseREC_cum]=irf_VAR_MCMC_struct_alt_cum(beta1E,Omega1E,Omega1mat,beta1matF,s_desc);
[irf_DimpEXP_cum,irf_CImeanEXP_cum,CIupEXP_cum,CIlowEXP_cum,IRFseEXP_cum]=irf_VAR_MCMC_struct_alt_cum(beta0E,Omega0E,Omega0mat,beta0matF,s_desc);

% compute maximum response and standard errors for it
[irf_DimpREC_max,irf_CImeanREC_max,CIupREC_max,CIlowREC_max,IRFseREC_max]=irf_VAR_MCMC_struct_alt_max(beta1E,Omega1E,Omega1mat,beta1matF,s_desc);
[irf_DimpEXP_max,irf_CImeanEXP_max,CIupEXP_max,CIlowEXP_max,IRFseEXP_max]=irf_VAR_MCMC_struct_alt_max(beta0E,Omega0E,Omega0mat,beta0matF,s_desc);

GYsc=mean(exp(Y(:,3))./exp(Y(:,1)));

multiplier_table=[
    max(irf_CImeanEXP(3,:)*GYsc) sum(irf_CImeanEXP(3,:)*GYsc)/sum(irf_CImeanEXP(1,:));
    max(irf_CImeanREC(3,:)*GYsc) sum(irf_CImeanREC(3,:)*GYsc)/sum(irf_CImeanREC(1,:))];

% compute standard errors for the maximal and cumulative response response
multiplier_table_max_se=[
    (IRFseEXP_max(3,:)*GYsc) IRFseEXP_cum(3,end)*GYsc;
    (IRFseREC_max(3,:)*GYsc) IRFseREC_cum(3,end)*GYsc];

%% original AG exercise with Ramey shocks

load('code_ramey_3_3.mat')

Omega0Ex1=zeros(size(Omega0E));
Omega1Ex1=zeros(size(Omega0E));
for ii=1:length(Amat(s_MCMC.dropfirstT:end-1,:))
    [Omega0Ex,Omega1Ex,thetaEx]=vec2matScov(Amat(s_MCMC.dropfirstT+ii-1,:)',s_desc.Omega_length_cov);
    Omega0Ex1=Omega0Ex1+Omega0Ex;
    Omega1Ex1=Omega1Ex1+Omega1Ex;
end

Omega1E=Omega1Ex1/length(Amat(s_MCMC.dropfirstT:end-1,:));
Omega0E=Omega0Ex1/length(Amat(s_MCMC.dropfirstT:end-1,:));

GYsc=mean(exp(Y(:,4))./exp(Y(:,2)));

% unanticipated shock
s_desc.Gpos=1;         % position of government spending (defense) in the vector of variables in the VAR
[irf_DimpREC_A,irf_CImeanREC_A,CIupREC_A,CIlowREC_A,IRFseREC_A]=irf_VAR_MCMC_struct_alt(beta1E,Omega1E,Omega1mat,beta1matF,s_desc);
[irf_DimpEXP_A,irf_CImeanEXP_A,CIupEXP_A,CIlowEXP_A,IRFseEXP_A]=irf_VAR_MCMC_struct_alt(beta0E,Omega0E,Omega0mat,beta0matF,s_desc);

% anticipated shock
s_desc.Gpos=2;         % position of government spending (defense) in the vector of variables in the VAR
[irf_DimpREC_B,irf_CImeanREC_B,CIupREC_B,CIlowREC_B,IRFseREC_B]=irf_VAR_MCMC_struct_alt(beta1E,Omega1E,Omega1mat,beta1matF,s_desc);
[irf_DimpEXP_B,irf_CImeanEXP_B,CIupEXP_B,CIlowEXP_B,IRFseEXP_B]=irf_VAR_MCMC_struct_alt(beta0E,Omega0E,Omega0mat,beta0matF,s_desc);

%%%% MAX
% unanticipated shock
s_desc.Gpos=1;         % position of government spending (defense) in the vector of variables in the VAR
[irf_DimpREC_A_max,irf_CImeanREC_A_max,CIupREC_A_max,CIlowREC_A_max,IRFseREC_A_max]=irf_VAR_MCMC_struct_alt_max(beta1E,Omega1E,Omega1mat,beta1matF,s_desc);
[irf_DimpEXP_A_max,irf_CImeanEXP_A_max,CIupEXP_A_max,CIlowEXP_A_max,IRFseEXP_A_max]=irf_VAR_MCMC_struct_alt_max(beta0E,Omega0E,Omega0mat,beta0matF,s_desc);

% anticipated shock
s_desc.Gpos=2;         % position of government spending (defense) in the vector of variables in the VAR
[irf_DimpREC_B_max,irf_CImeanREC_B_max,CIupREC_B_max,CIlowREC_B_max,IRFseREC_B_max]=irf_VAR_MCMC_struct_alt_max(beta1E,Omega1E,Omega1mat,beta1matF,s_desc);
[irf_DimpEXP_B_max,irf_CImeanEXP_B_max,CIupEXP_B_max,CIlowEXP_B_max,IRFseEXP_B_max]=irf_VAR_MCMC_struct_alt_max(beta0E,Omega0E,Omega0mat,beta0matF,s_desc);


%%%% CUMULATIVE
% unanticipated shock
s_desc.Gpos=1;         % position of government spending (defense) in the vector of variables in the VAR
[irf_DimpREC_A_cum,irf_CImeanREC_A_cum,CIupREC_A_cum,CIlowREC_A_cum,IRFseREC_A_cum]=irf_VAR_MCMC_struct_alt_cum(beta1E,Omega1E,Omega1mat,beta1matF,s_desc);
[irf_DimpEXP_A_cum,irf_CImeanEXP_A_cum,CIupEXP_A_cum,CIlowEXP_A_cum,IRFseEXP_A_cum]=irf_VAR_MCMC_struct_alt_cum(beta0E,Omega0E,Omega0mat,beta0matF,s_desc);

% anticipated shock
s_desc.Gpos=2;         % position of government spending (defense) in the vector of variables in the VAR
[irf_DimpREC_B_cum,irf_CImeanREC_B_cum,CIupREC_B_cum,CIlowREC_B_cum,IRFseREC_B_cum]=irf_VAR_MCMC_struct_alt_cum(beta1E,Omega1E,Omega1mat,beta1matF,s_desc);
[irf_DimpEXP_B_cum,irf_CImeanEXP_B_cum,CIupEXP_B_cum,CIlowEXP_B_cum,IRFseEXP_B_cum]=irf_VAR_MCMC_struct_alt_cum(beta0E,Omega0E,Omega0mat,beta0matF,s_desc);


% scaling multipliers
mmEXP_B=1/sum(irf_CImeanEXP_B(2,:)/20);
mmREC_B=1/sum(irf_CImeanREC_B(2,:)/20);

mmEXP_A=1/sum(irf_CImeanEXP_A(2,:)/20);
mmREC_A=1/sum(irf_CImeanREC_A(2,:)/20);

%~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
%                   table with multipliers
%~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

table_for_the_paper_Ramey=[
    max(irf_CImeanEXP_A(4,:)*mmEXP_A*GYsc) (IRFseEXP_A_max(4,:)*mmEXP_A*GYsc) ...
    sum(irf_CImeanEXP_A(4,:)*mmEXP_A*GYsc)/20 (IRFseEXP_A_cum(4,end)*mmEXP_A*GYsc);
    max(irf_CImeanREC_A(4,:)*mmREC_A*GYsc) (IRFseREC_A_max(4,:)*mmREC_A*GYsc) ...
    sum(irf_CImeanREC_A(4,:)*mmREC_A*GYsc)/20 (IRFseREC_A_cum(4,end)*mmREC_A*GYsc)];

%% Girfs

