%This code plots the posteriors for gamma and c shown in the appendix.


clear all;
close all;

load('Bayesian_TIRFs_backward_4Q_deficit_AG_3_3_56.mat')
Gamma_4Q=Gamma;
C_4Q=C;


load('Bayesian_TIRFs_centered_7Q_deficit_AG_3_3_56.mat')
close all

%Histograms for posterior of Gamma and C, 7Q centered z in red
% with 4Q backwards-looking z in blue.
figure;
hold on
histogram(Gamma, 20,'facecolor','r','facealpha',.5,'Normalization','probability')
histogram(Gamma_4Q, 20,'facecolor','b','facealpha',.5,'Normalization','probability')
set(gca,'fontsize',20)

figure;
hold on
histogram(C, 15,'facecolor','r','facealpha',.5,'Normalization','probability')
histogram(C_4Q, 15,'facecolor','b','facealpha',.5,'Normalization','probability')
set(gca,'fontsize',20)


%Kernel density plots if you prefer
[fc,xc] = ksdensity(C);
[fc4,xc4] = ksdensity(C_4Q);

[fg,xg] = ksdensity(Gamma);
[fg4,xg4] = ksdensity(Gamma_4Q);

figure;
hold on
plot(xc4,fc4,'b');
plot(xc,fc,'r');
set(gca,'fontsize',20)

figure;
hold on
plot(xg4,fg4,'b');
plot(xg,fg,'r');
xlim([0 10]);
set(gca,'fontsize',20)